"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.INFURA_NETWORK_URLS = exports.MAINNET_PROVIDER = void 0;
const providers_1 = require("@ethersproject/providers");
const chains_1 = require("./chains");
const INFURA_KEY = process.env.REACT_APP_INFURA_KEY;
if (typeof INFURA_KEY === 'undefined') {
    throw new Error(`REACT_APP_INFURA_KEY must be a defined environment variable`);
}
exports.MAINNET_PROVIDER = new providers_1.JsonRpcProvider(`https://mainnet.infura.io/v3/${INFURA_KEY}`);
/**
 * These are the network URLs used by the interface when there is not another available source of chain data
 */
exports.INFURA_NETWORK_URLS = {
    [chains_1.SupportedChainId.MAINNET]: `https://mainnet.infura.io/v3/${INFURA_KEY}`,
    [chains_1.SupportedChainId.RINKEBY]: `https://rinkeby.infura.io/v3/${INFURA_KEY}`,
    [chains_1.SupportedChainId.ROPSTEN]: `https://ropsten.infura.io/v3/${INFURA_KEY}`,
    [chains_1.SupportedChainId.GOERLI]: `https://goerli.infura.io/v3/${INFURA_KEY}`,
    [chains_1.SupportedChainId.KOVAN]: `https://kovan.infura.io/v3/${INFURA_KEY}`,
    [chains_1.SupportedChainId.OPTIMISM]: `https://optimism-mainnet.infura.io/v3/${INFURA_KEY}`,
    [chains_1.SupportedChainId.OPTIMISTIC_KOVAN]: `https://optimism-kovan.infura.io/v3/${INFURA_KEY}`,
    [chains_1.SupportedChainId.ARBITRUM_ONE]: `https://arbitrum-mainnet.infura.io/v3/${INFURA_KEY}`,
    [chains_1.SupportedChainId.ARBITRUM_RINKEBY]: `https://arbitrum-rinkeby.infura.io/v3/${INFURA_KEY}`,
    [chains_1.SupportedChainId.POLYGON]: `https://polygon-mainnet.infura.io/v3/${INFURA_KEY}`,
    [chains_1.SupportedChainId.POLYGON_MUMBAI]: `https://polygon-mumbai.infura.io/v3/${INFURA_KEY}`,
};
//# sourceMappingURL=infura.js.map