"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WalletContext = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@web3-react/core");
const useConnectors_1 = require("../hooks/useConnectors");
const react_1 = tslib_1.__importStar(require("react"));
const usehooks_ts_1 = require("usehooks-ts");
const useConnectors_2 = require("../hooks/useConnectors");
const userAgent_1 = require("../utils/userAgent");
exports.WalletContext = react_1.default.createContext({
    setSelectedWallet: () => { },
});
function WalletProvider({ children }) {
    const [selectedWallet, setSelectedWallet] = (0, usehooks_ts_1.useLocalStorage)('selectedWallet', null);
    const connectors = (0, useConnectors_2.useConnectors)(selectedWallet);
    const isMetaMask = !!window.ethereum?.isMetaMask;
    const connect = async (connector) => {
        try {
            if (connector.connectEagerly) {
                await connector.connectEagerly();
            }
            else {
                await connector.activate();
            }
        }
        catch (error) {
            console.debug(`web3-react eager connection error: ${error}`);
        }
    };
    (0, react_1.useEffect)(() => {
        connect(useConnectors_1.network);
        if (userAgent_1.isMobile && isMetaMask) {
            useConnectors_1.injected.activate();
        }
        if (selectedWallet) {
            connect((0, useConnectors_2.getConnectorForWallet)(selectedWallet));
        }
        // The dependency list is empty so this is only run once on mount
        // eslint-disable-line react-hooks/exhaustive-deps
    }, []);
    return (react_1.default.createElement(exports.WalletContext.Provider, { value: {
            setSelectedWallet,
        } },
        react_1.default.createElement(core_1.Web3ReactProvider, { connectors: connectors }, children)));
}
exports.default = WalletProvider;
//# sourceMappingURL=WalletProvider.js.map