import { Web3ReactHooks } from '@web3-react/core';
import { MetaMask } from '@web3-react/metamask';
import { Network } from '@web3-react/network';
import { Connector } from '@web3-react/types';
import { WalletConnect } from '@web3-react/walletconnect';
export declare enum Wallet {
    INJECTED = "INJECTED",
    COINBASE_WALLET = "COINBASE_WALLET",
    WALLET_CONNECT = "WALLET_CONNECT",
    FORTMATIC = "FORTMATIC",
    NETWORK = "NETWORK",
    GNOSIS_SAFE = "GNOSIS_SAFE"
}
export declare const SELECTABLE_WALLETS: Wallet[];
export declare function getWalletForConnector(connector: Connector): Wallet.INJECTED | Wallet.WALLET_CONNECT | Wallet.NETWORK;
export declare function getConnectorForWallet(wallet: Wallet): MetaMask | WalletConnect | Network;
export declare const network: Network, networkHooks: Web3ReactHooks;
export declare const injected: MetaMask, injectedHooks: Web3ReactHooks;
export declare const walletConnect: WalletConnect, walletConnectHooks: Web3ReactHooks;
export declare function useConnectors(selectedWallet: Wallet | null): [Connector, Web3ReactHooks][];
